## org.apache.poi.hssf.record
Class DBCellRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.DBCellRecord

    public final class DBCellRecord

extends StandardRecord

Title: DBCell Record (0x00D7)

Description: Used by Excel and other MS apps to quickly find rows in the sheets.

REFERENCE: PG 299/440 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height

Nested Class Summary
`static class` `DBCellRecord.Builder`

Field Summary
`static int` `BLOCK_SIZE`
`static short` `sid`

Constructor Summary
`DBCellRecord(RecordInputStream in)`

Method Summary
`static int` `calculateSizeOfRecords(int nBlocks, int nRows)`
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### BLOCK_SIZE

    public static final int BLOCK_SIZE

See Also:
  Constant Field Values

Constructor Detail

### DBCellRecord

    public DBCellRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### calculateSizeOfRecords

    public static int calculateSizeOfRecords(int nBlocks,
                                             int nRows)

  Returns:
    the size of the group of `DBCellRecord`s needed to encode the specified number of blocks and rows

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.